﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace DataChartAvarageLine
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            xmLineChart.DataContext = Data.GetData(9,50, 100);
        }

    }

    public class Data : INotifyPropertyChanged
    {
        private int? val;
        private DateTime label;

        public DateTime Label
        {
            get { return label; }
            set
            {
                label = value;
                PropChanged("Label");
            }
        }

        public int? Value
        {
            get { return val; }
            set
            {
                val = value;
                PropChanged("Value");
            }
        }     

        public static ObservableCollection<Data> GetData(int points, int rangeStart, int rangeEnd)
        {
            DateTime dt = new DateTime(2011, 1, 11);

            ObservableCollection<Data> data = new ObservableCollection<Data>();
            Random r = new Random();

            for (int i = 0; i < points; i++)
            {
                if (i < 8)
                {
                    rangeEnd += 10;
                    rangeStart += 10;
                }
                else
                {
                    rangeEnd -= 10;
                    rangeStart -= 10;
                }

                Data d = new Data
                {
                    Label = DateTime.Now.AddDays(i + 10),
                    Value = r.Next(rangeStart, rangeEnd),
                    
                };   

                data.Add(d);
            }               

            data[6].Value = -10;
            data[7].Value = 0; 
            data[7].Label = data[6].Label;
            data[8].Value = -10;
            
            return data;
            
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}


